Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class PortalRenderHelper

    java.lang.Object
      |
      +--com.bea.portal.render.servlets.jsp.RenderHelper
            |
            +--com.bea.portal.render.servlets.jsp.PortalRenderHelper

public class PortalRenderHelper
extends RenderHelper

A helper class with static methods to assist in rendering the portal.

Constructor Summary
`PortalRenderHelper()`

Method Summary
`static PortletIdentifier` | `getEditPortlet(javax.servlet.http.HttpServletRequest request)` Return a portlet in edit mode for the current page, if no portlet is maximized then return null.
`static PortletIdentifier` | `getMaximizedPortlet(javax.servlet.http.HttpServletRequest request)` Return a maximized portlet for the current page, if no portlet is maximized then return null.
`static SkinIdentifier` | `getSelectedSkin(javax.servlet.http.HttpServletRequest request)` Return the selected skin

Methods inherited from class com.bea.portal.render.servlets.jsp.RenderHelper
`getPageIdentifier, getPageState, getPortalSession, getPortalState, getPortletIdentifier, getPortletState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalRenderHelper

    public PortalRenderHelper()

Method Detail

### getMaximizedPortlet

    public static PortletIdentifier getMaximizedPortlet(javax.servlet.http.HttpServletRequest request)
                                                 throws javax.servlet.jsp.JspException

  Return a maximized portlet for the current page, if no portlet is maximized then return null.

### getEditPortlet

    public static PortletIdentifier getEditPortlet(javax.servlet.http.HttpServletRequest request)
                                            throws javax.servlet.jsp.JspException

  Return a portlet in edit mode for the current page, if no portlet is maximized then return null.

### getSelectedSkin

    public static SkinIdentifier getSelectedSkin(javax.servlet.http.HttpServletRequest request)
                                          throws javax.servlet.jsp.JspException

  Return the selected skin

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved